Bug 16732 - Add audio alerts (custom sound notifications) to web based self checkout
Summary: Add audio alerts (custom sound notifications) to web based self checkout
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18251 21054
  Show dependency treegraph
 
Reported: 2016-06-14 13:01 UTC by Nick Clemens
Modified: 2018-07-09 13:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
This patch adds the infrastructure needed to allow audio alerts, as configured in administration, to affect the sco module. This patch allows only for the use of sounds with a full URL to be used and does not allow for the Koha standard sounds to be accessed via the SCO.


Attachments
Bug 16732 - Add audio alerts (custom sound notifications) to web based self checkout (2.92 KB, patch)
2016-08-15 20:03 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16732 - Add audio alerts (custom sound notifications) to web based self checkout (3.02 KB, patch)
2016-09-09 17:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16732 - Add audio alerts (custom sound notifications) to web based self checkout (3.04 KB, patch)
2016-09-13 09:29 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-06-14 13:01:03 UTC
Work to be done:
* Create new audio alert entries for self check out in the administration area
* Have sounds be accessible via the self check
* Play sounds at appropriate times in the self check interface
Comment 1 Nick Clemens 2016-08-15 20:03:29 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-09-09 17:25:30 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-09-13 09:29:43 UTC
Created attachment 55523 [details] [review]
Bug 16732 - Add audio alerts (custom sound notifications) to web based self checkout

This patch adds the infrastructure needed to allow audio alerts, as
configured in administration, to affect the sco module

This patch allows only for the use of sounds with a full URL to be used
and does not allow for the Koha standard sounds to be accessed via the
SCO

To test:
Ensure you have the preference AudioAlerts enabled
Ensure you can hear normal sounds from the staff module
Define an audio alert such as:
    Selector: .sco_entry
    Sound: https://archive.org/download/Doorbell_1/doorbell.ogg
Load the SCO module
You should hear the doorbell noise (everytime you reload even!)
Test that the default sounds are not activated for the SCO, you must
sepcifically define them

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-13 18:21:27 UTC
Pushed to master for 16.11, thanks Nick!